Issue 127524 - Application crashes after ~30s
Summary: Application crashes after ~30s
Status: RESOLVED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: 4.1.3
Hardware: All OS/2
: P5 (lowest) Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 126518
  Show dependency tree
 
Reported: 2017-08-29 02:59 UTC by abwillis1
Modified: 2017-12-02 13:18 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
trp files (173.95 KB, application/x-zip-compressed)
2017-08-29 02:59 UTC, abwillis1
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description abwillis1 2017-08-29 02:59:50 UTC
Created attachment 86208 [details]
trp files

Any application when opened (writer, calc, draw, impress) crashes after approximately 30s.  I had this problem with 4.1.2 and then 4.1.3 on another system.  I have since loaded a whole new system with ArcaOS 5.0.1 and installed prerequisites and 4.1.3.  The applications launch just fine but crash after 30s regardless if it is opening an existing file or a new file.
Comment 1 oooforum (fr) 2017-08-29 07:39:07 UTC
To be certain the reported issue is not related to corruption in the user profile, could you reset it[1] and re-test?

Please report back the outcome of your testing, so this Issue may be closed or
progressed as necessary - otherwise the issue may be Resolved as Invalid in the
future.


[1] Detailed information can be found in https://forum.openoffice.org/en/forum/viewtopic.php?t=12426
Comment 2 abwillis1 2017-08-29 22:41:47 UTC
Deleting user profile does not help... had tried on previous system and brand new profile was created on loading on new system.  Deleted profile and no change.
Comment 3 oooforum (fr) 2017-08-30 11:36:47 UTC
Yuri: pls have a look
Comment 4 abwillis1 2017-09-08 04:03:19 UTC
An iptrace shows:
---------------------- UDP HEADER ----------------------
 UDP:  Source Port: 53 (Domain NameServer)    Dest Port: 49155 (Unassigned port)
 UDP:  Length: 96 (x60)
 UDP:  Checksum: 38F8   (Correct)
------------------------ DNS ----------------------------
 DNS: ID:116
 DNS: Query Response   Standard Query
 DNS: FLAGS: 18
 DNS:    .0. .... = No Truncation 
 DNS:    ..1 .... = Recursion Desired 
 DNS:    ... 1... = Recursion Available
 DNS: Return Code: 0  No Error
 DNS: Question Cnt:  1,    Answer Cnt:  3
 DNS: Authority Cnt:  0,   Additional Cnt:  0
 DNS:  Question Section
 DNS:    Name: ooo-updates.apache.org
 DNS:    Type: 01    Class: 01
 DNS: Answer Section
 DNS:    Name: ooo-updates.apache.org
 DNS:    Type: 1   Class: 1
 DNS:    TTL: 179    Len: 0004
 DNS:    Address:  062.210.060.236

 DNS:    Name: ooo-updates.apache.org
 DNS:    Type: 1   Class: 1
 DNS:    TTL: 179    Len: 0004
 DNS:    Address:  088.198.026.002

 DNS:    Name: ooo-updates.apache.org
 DNS:    Type: 1   Class: 1
 DNS:    TTL: 179    Len: 0004
 DNS:    Address:  140.211.011.105

It is at this point that the crash occurs.  Check for updates automatically is on by default.  Unchecking "Check for updates automatically" and closing the program will fix the problem for subsequent launches.
Comment 5 Matthias Seidel 2017-10-18 10:19:53 UTC
I can't recreate this crash with AOO 4.1.3 on ArcaOS 5.01 (VirtualBox VM).
"Check for updates automatically" is enabled.

Did you install with AOO-4130-GA-rpm.wpi or do you use the system libraries?
Comment 6 abwillis1 2017-10-19 14:26:36 UTC
I installed everything via RPM, including AOO.
Comment 7 Matthias Seidel 2017-10-20 15:47:52 UTC
(In reply to abwillis1 from comment #6)
> I installed everything via RPM, including AOO.

I didn't know it was available as RPM, I use the WPI provided by bww bitwise works.

But there is definitely something wrong with "Check for Updates":
The window stays unresponsive in the background.
Comment 8 Yuri Dario 2017-11-15 17:59:04 UTC
It happens since today also on my PC and I'm sure it was ok until a few days ago. Disabling automatic updates fixes the issue also for me.
Comment 9 Yuri Dario 2017-11-15 18:01:53 UTC
WEBDAV is broken for OS/2 since the move to SERF and APR. Given we don't have autoupdate support, probably disabling this flag is the best solution (or disable the whole code section)
Comment 10 abwillis1 2017-11-15 20:32:04 UTC
I've been, unsuccessfully, trying to get serf working to update the subversion port.
Comment 11 Yuri Dario 2017-11-16 16:07:09 UTC
In the next build, updchk.dll and updchkun.dll will be removed, completely disabling the update code (which is not used at all in OS/2).
Comment 12 Matthias Seidel 2017-11-17 15:40:01 UTC
(In reply to Yuri Dario from comment #11)
> In the next build, updchk.dll and updchkun.dll will be removed, completely
> disabling the update code (which is not used at all in OS/2).

Maybe it is just as simple as building with

--disable-online-update

for OS/2?
Comment 13 Yuri Dario 2017-11-18 11:09:20 UTC
Great! I never noticied this flag

thanks!!
Comment 14 Matthias Seidel 2017-11-18 11:22:34 UTC
(In reply to Yuri Dario from comment #13)
> Great! I never noticied this flag
> 
> thanks!!

You are welcome!

I just made a test build for Windows, and this switch also removes "Check for updates" in the menu and the related options dialog.
Comment 15 SVN Robot 2017-12-02 13:16:34 UTC
"ydario" committed SVN revision 1816947 into trunk:
#i127524# disable building and distribution of automatic online updater on OS/2.
Comment 16 Yuri Dario 2017-12-02 13:18:29 UTC
Disabled building and distribution of upd*.dll(s) at configure time.